Doomsday Engine - Feature #2123

Option Needed to tailor the anaglyph effect for TriOviz Inficolor Glasses...
2015-11-04 03:25 - smoketetsu

Status: New Start date: 2015-11-04
Priority: Low % Done: 0%
Assignee:

Category: 3rd party compatibility

Target version: Rendering

Description

Doomsday has almost all the options needed including separation. | assume reversing it reverses the color to each eye? Because
the inficolor glasses have the magenta on the left eye and the green on the right. Rather than what doomsday and other solutions
seem to default to which is green on the left and magenta on the right.

Anyway, what's needed most after that is seperate saturation variables for each eye as the inficolor glasses are lighter than standard
green/magenta glasses. The magenta side even seems to be half that of the green side. So seperate sliders\variables for each eye
are what is needed to tailor doomdsay's output for those glasses.

As | mentioned on facebook | noticed this by adding support into some of my DX9 games via shader injection methods and the
shader | modified to work with them has that saturation option.

Related issues:

Related to Feature #2142: Color adjustment should only apply to game view Closed 2015-12-10
Related to Feature #2160: Custom screenshader support and profiles Progressed 2016-05-21
History

#1 - 2015-11-10 11:39 - skyjake

- Tags changed from 3D, Stereovision, Anaglyph, Feature to Stereovision, Anaglyph, Feature

#2 - 2015-11-10 11:39 - skyjake

- Tags changed from Stereovision, Anaglyph, Feature to Stereovision, Anaglyph

#3 - 2015-12-11 11:17 - skyjake
- Related to Feature #2142: Color adjustment should only apply to game view added

#4 - 2019-11-29 22:15 - skyjake
- Category set to 3rd party compatibility
- Priority changed from Normal to Low

- Target version set to Rendering

#5 - 2020-02-04 21:51 - skyjake

- Related to Feature #2160: Custom screenshader support and profiles added
